Summary: Reads and writes data across network connections using TCP or UDP.
Name: nc
Version: 1.84
Release: 3.2
URL:	 http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/nc/
Source0: nc-%{version}.tar.bz2
Patch0: nc-1.84-glib.patch
Patch1: nc-1.78-pollhup.patch
Patch2: nc-1.82-reuseaddr.patch
Patch3: nc-gcc_signess.patch
License: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: pkgconfig, glib2-devel
Requires: glib2

%description
The nc package contains Netcat (the program is actually nc), a simple
utility for reading and writing data across network connections, using
the TCP or UDP protocols. Netcat is intended to be a reliable back-end
tool which can be used directly or easily driven by other programs and
scripts.  Netcat is also a feature-rich network debugging and
exploration tool, since it can create many different connections and
has many built-in capabilities.

You may want to install the netcat package if you are administering a
network and you'd like to use its debugging and network exploration
capabilities.

%prep
%setup -q -n nc
%patch0 -p1 -b .glib
%patch1 -p1 -b .pollhup
%patch2 -p1 -b .reuseaddr
%patch3 -p1 -b .gcc

%build
gcc $RPM_OPT_FLAGS -Werror `pkg-config --cflags --libs glib-2.0` netcat.c atomicio.c socks.c -o nc

%install
rm -rf ${RPM_BUILD_ROOT}
install -d ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 nc ${RPM_BUILD_ROOT}%{_bindir}
install -d ${RPM_BUILD_ROOT}%{_mandir}/man1
install -m 644 nc.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/nc
%{_mandir}/man1/nc.1*
%doc README scripts

%changelog
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.84-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.84-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 25 2006 Radek Vokal <rvokal@redhat.com> 1.84-3
- warnings cleaned-up, compile with -Werror

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Dec 07 2005 Radek Vokal <rvokal@redhat.com> 1.84-2
- fix build requires

* Fri Nov 18 2005 Radek Vokal <rvokal@redhat.com> 1.84-1
- follow upstream

* Fri Oct 21 2005 Radek Vokal <rvokal@redhat.com> 1.82-2
- use SO_REUSEADDR (#171315)

* Tue Sep 27 2005 Tomas Mraz <tmraz@redhat.com> 1.82-1
- update from OpenBSD upstream CVS
- fix pollhup patch so it reads everything before shutdown

* Wed May 11 2005 David Woodhouse <dwmw2@redhat.com> 1.78-2
- Don't ignore POLLHUP and go into an endless loop (#156835)

* Mon Apr 11 2005 Radek Vokal <rvokal@redhat.com> 1.78-1
- update from CVS, using glib functions

* Thu Mar 31 2005 Radek Vokal <rvokal@redhat.com> 1.77-1
- switching to new OpenBSD version of netcat

* Fri Mar 04 2005 Radek Vokal <rvokal@redhat.com> 1.10-25
- gcc4 rebuilt

* Wed Dec 22 2004 Radek Vokal <rvokal@redhat.com> 1.10-24
- enabling telnet support (#143498)
- removed static linking
- array range fixed

* Mon Nov 01 2004 Radek Vokal <rvokal@redhat.com> 1.10-23
- return value of help function fixed (#137785)

* Tue Sep 21 2004 Radek Vokal <rvokal@redhat.com> 1.10-22
- timeout option patch when SIGALRM blocked (#132973)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 1.10-17
- rebuild on all arches

* Tue Jul 23 2002 Bill Nottingham <notting@redhat.com> 1.10-16
- fix for the parsing patch (<eedmoba@eede.ericsson.se>)

* Thu Jul 18 2002 Bill Nottingham <notting@redhat.com> 1.10-15
- don't strip binaries
- fix parsing of some services (#52874) (<eedmoba@eede.ericsson.se>)
- fix man page (#63544)

